## ungleich-hardware

This container is made for configuring hardware on our clusters.
It usually needs to run in privileged mode.

The source repository for this container is
on
[code.ungleich.ch](https://code.ungleich.ch/ungleich-public/ungleich-hardware). This
image uses significant content from the
[hwraid](https://hwraid.le-vert.net/) page that we would like to thank
for its years long contribution.

You can use this image from

* ungleich/ungleich-hardware
* harbor.ungleich.svc.p10.k8s.ooo/ungleich-public/ungleich-hardware
  (IPv6 only)

## Included tools

```
dmidecode
hdparm
hpacucli
megacli
megaclisas-status
stress-ng
```

## Usage

### Kubernetes

To enable access to devices and give permission to the pod to use it,
you could use:

```
apiVersion: v1
kind: Pod
metadata:
  name: ungleich-hardware
spec:
  containers:
  - name: ungleich-hardware
    image: harbor.ungleich.svc.p10.k8s.ooo/ungleich-public/ungleich-hardware:0.0.1
    args:
    - sleep
    - "1000000"
    volumeMounts:
      - mountPath: /dev
        name: dev
    securityContext:
      privileged: true
  volumes:
    - name: dev
      hostPath:
        path: /dev
```


## Changelog / Tags

### 0.0.2 (2022-01-15)

* Added dmidecode

### 0.0.1 (2022-01-15)

* Initial release
